Bug 213388 - Glibc 2.5.90-3 causes programs not to run
Glibc 2.5.90-3 causes programs not to run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 04:19 EST by Mephisto
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-04 20:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mephisto 2006-11-01 04:19:02 EST
Description of problem:
I've read the other bugs, and i feel like this is not the same problem. This has
nothing to do with su or sudo, but happens with normal applications. Some
programs no longer run, and give errors like these on startup:
./TeamSpeak.bin: symbol lookup error: ./TeamSpeak.bin: undefined symbol:
initPAnsiStrings
./ut2004-bin: relocation error: ./ut2004-bin: symbol atexit, version GLIBC_2.0
not defined in file libc.so.6 with link time reference
I also had other things not starting up, like ut99 and cedega games, but i
didn't get a clear error message on that.
None of this happens with the FC6 glibc.

Version-Release number of selected component (if applicable):
glibc-2.5.90-3

How reproducible:
Always

Steps to Reproduce:
1. Upgrade to newest glibc
2. Start up some affected programs (behavior found in teamspeak, ut2004, ut99
and cedega (not wine), and possible others)
  
Actual results:
The software doesn't load.

Expected results:
The software should run like previously

Additional info:

Note You need to log in before you can comment on or make changes to this bug.